# QStyleOptionToolBoxV2 Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOptionToolBox.

### Constructor

- void QStyleOptionToolBoxV2()
- void QStyleOptionToolBoxV2(QStyleOptionToolBox other)
- void QStyleOptionToolBoxV2(QStyleOptionToolBoxV2 other)

### Constructor Properties

- prototype: The QStyleOptionToolBoxV2 prototype object
- Version = 2
- StyleOptionVersion( value )
- Beginning
- Middle
- End
- OnlyOneTab
- TabPosition( value )
- NotAdjacent
- NextIsSelected
- PreviousIsSelected
- SelectedPosition( value )

### Instance Properties

QStyleOptionToolBoxV2 objects have no special properties beyond those inherited from the QStyleOptionToolBoxV2 prototype object.